Bug 67471 - better system reporting
better system reporting
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-25 16:31 EDT by Red Hat Production Operations
Modified: 2008-10-15 09:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 09:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-25 16:31:09 EDT
Description of Problem:


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Need Real Name 2002-06-25 16:34:40 EDT
Let's try this again (who knew "return" would submit the bug?)

I'd like to be able to query the data in RHN and get reports to use as a part of
the system management process.  Answers to the questions:

What machines have had errata kernels installed, but have not been
rebooted into the new kernels yet?

What machines need bios updates?

Am I being notified correctly for the servers that I have registered?

If I schedule an action across a group of servers, when will the last
action take place?

What machines are at risk for a specific type of hardware failure?

To answer these questions, reports for servers against any field in RHN would be
nice, but specifically the following would be a good start:

Show a list of servers and view/set their notification status.
Show a list of servers and their currently running kernel.
Show a list of servers and their last/next checkin times.
Show a list of servers and the system type and bios version.
Show a list of all servers with a specific type of hardware.
Show a list of servers and their asset tags.
Comment 2 Greg DeKoenigsberg 2002-07-15 12:04:49 EDT
Adding to this, from James Blackwell, 7/12:

>We'd like to get some printable reports out of this.  The one that
>came up just the other day was a hardware inventory of all of our
>servers.  I'd like to pick from all fields available in each system's
>profile and have a printer friendly page generated on all the selected
>systems.  If something like that is too elaborate, just a printer
>friendly page showing the hardware details of all machines. 

This underscores the need for a usable API for RHN.  Moving the priority up on
this.
Comment 3 Fanny Augustin 2006-11-14 15:48:52 EST
Reassigning  bugs from gdk (old RHN engineering Manager) to tsanders (current
RHN engineering manager)
Comment 4 Amy Owens 2008-10-15 09:47:34 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.